This repository has been archived by the owner. It is now read-only.

Metapixel build failing #11280

Closed
purcell opened this Issue Mar 29, 2012 · 13 comments

Comments

Projects
None yet
4 participants
@purcell
Contributor

purcell commented Mar 29, 2012

Failure output is here: https://gist.github.com/2235826

This is on Lion, with the latest Xcode.

I can confirm I've gone through the checklist before reporting this.

The few brew doctor warnings on my system appear to be clearly unrelated: https://gist.github.com/2235835

(Provider of the original recipe was @afh, see #3648)

-Steve

@afh

This comment has been minimized.

Show comment
Hide comment
@afh

afh Mar 30, 2012

Contributor

I can reproduce the reported error, but I have no time to look into it any time soon.

Contributor

afh commented Mar 30, 2012

I can reproduce the reported error, but I have no time to look into it any time soon.

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Mar 30, 2012

Contributor

Are you forcing LLVM instead of Clang?

Contributor

adamv commented Mar 30, 2012

Are you forcing LLVM instead of Clang?

@purcell

This comment has been minimized.

Show comment
Hide comment
@purcell

purcell Mar 30, 2012

Contributor

Erm, not that I know of. What would cause that?

Contributor

purcell commented Mar 30, 2012

Erm, not that I know of. What would cause that?

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Mar 30, 2012

Contributor

Not sure; can you post your brew --config?

Contributor

adamv commented Mar 30, 2012

Not sure; can you post your brew --config?

@purcell

This comment has been minimized.

Show comment
Hide comment
@purcell

purcell Mar 30, 2012

Contributor

Yep -

% brew --config
HOMEBREW_VERSION: 0.9
HEAD: c7d9a09a96d06e05aa77ff69882573e4e6dfebe7
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/Cellar
CPU: dual-core 64-bit penryn
OS X: 10.7.3
Kernel Architecture: x86_64
Xcode: 4.3.2
GCC-4.0: N/A
GCC-4.2: build 5666
LLVM: build 2335
Clang: 2.1 build 163
MacPorts or Fink? false
X11: /usr/X11
System Ruby: 1.8.7-249
/usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Which Perl:   /usr/bin/perl
Which Python: /usr/bin/python
Which Ruby:   /Users/steve/.rvm/rubies/ruby-1.9.3-p125/bin/ruby
Contributor

purcell commented Mar 30, 2012

Yep -

% brew --config
HOMEBREW_VERSION: 0.9
HEAD: c7d9a09a96d06e05aa77ff69882573e4e6dfebe7
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/Cellar
CPU: dual-core 64-bit penryn
OS X: 10.7.3
Kernel Architecture: x86_64
Xcode: 4.3.2
GCC-4.0: N/A
GCC-4.2: build 5666
LLVM: build 2335
Clang: 2.1 build 163
MacPorts or Fink? false
X11: /usr/X11
System Ruby: 1.8.7-249
/usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Which Perl:   /usr/bin/perl
Which Python: /usr/bin/python
Which Ruby:   /Users/steve/.rvm/rubies/ruby-1.9.3-p125/bin/ruby
@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Mar 30, 2012

Contributor

The compiler list is suspicious:

$ brew --config
HOMEBREW_VERSION: 0.9
HEAD: 1015eda702afa2ba8c55102a1c14231f11cb96b7
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/homebrew/Cellar
CPU: quad-core 64-bit sandybridge
OS X: 10.7.3
Kernel Architecture: x86_64
Xcode: 4.3.2
GCC-4.0: N/A
GCC-4.2: N/A
LLVM: build 2336
Clang: 3.1 build 318
MacPorts or Fink? false
X11: /usr/X11
System Ruby: 1.8.7-249
/usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Which Perl:   /usr/bin/perl
Which Python: /usr/bin/python
Which Ruby:   /usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Contributor

adamv commented Mar 30, 2012

The compiler list is suspicious:

$ brew --config
HOMEBREW_VERSION: 0.9
HEAD: 1015eda702afa2ba8c55102a1c14231f11cb96b7
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/homebrew/Cellar
CPU: quad-core 64-bit sandybridge
OS X: 10.7.3
Kernel Architecture: x86_64
Xcode: 4.3.2
GCC-4.0: N/A
GCC-4.2: N/A
LLVM: build 2336
Clang: 3.1 build 318
MacPorts or Fink? false
X11: /usr/X11
System Ruby: 1.8.7-249
/usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Which Perl:   /usr/bin/perl
Which Python: /usr/bin/python
Which Ruby:   /usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
@mistydemeo

This comment has been minimized.

Show comment
Hide comment
@mistydemeo

mistydemeo Mar 30, 2012

Contributor

@purcell Did you run the Xcode commandline tools installer from the Xcode preferences? Since you have older compilers, I suspect those are left over from an older version of Xcode.

@adamv We should probably be checking compiler versions when the user is running 4.3+ - if they're outdated or non-extent we know they need to install the CLT.

Contributor

mistydemeo commented Mar 30, 2012

@purcell Did you run the Xcode commandline tools installer from the Xcode preferences? Since you have older compilers, I suspect those are left over from an older version of Xcode.

@adamv We should probably be checking compiler versions when the user is running 4.3+ - if they're outdated or non-extent we know they need to install the CLT.

@purcell

This comment has been minimized.

Show comment
Hide comment
@purcell

purcell Mar 30, 2012

Contributor

Nope, didn't know that was necessary. I've never done it before. I had Xcode 4.1 (I think) until last week, then downloaded 4.3 via the App Store.

Contributor

purcell commented Mar 30, 2012

Nope, didn't know that was necessary. I've never done it before. I had Xcode 4.1 (I think) until last week, then downloaded 4.3 via the App Store.

@purcell

This comment has been minimized.

Show comment
Hide comment
@purcell

purcell Mar 30, 2012

Contributor

Wait up - now that I've fired up Xcode itself (which I hadn't done since the upgrade) it's running through a few installation steps. I'll compare the brew --config output after that finishes.

Contributor

purcell commented Mar 30, 2012

Wait up - now that I've fired up Xcode itself (which I hadn't done since the upgrade) it's running through a few installation steps. I'll compare the brew --config output after that finishes.

@purcell

This comment has been minimized.

Show comment
Hide comment
@purcell

purcell Mar 30, 2012

Contributor

It's turned out to be necessary to explicitly run that installer step, so yes, a hint from brew would have been worthwhile. Now I've got a better compiler:

% brew --config
HOMEBREW_VERSION: 0.9
HEAD: c7d9a09a96d06e05aa77ff69882573e4e6dfebe7
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/Cellar
CPU: dual-core 64-bit penryn
OS X: 10.7.3
Kernel Architecture: x86_64
Xcode: 4.3.2
GCC-4.0: N/A
GCC-4.2: build 5666
LLVM: build 2336
Clang: 3.1 build 318
MacPorts or Fink? false
X11: /usr/X11
System Ruby: 1.8.7-249
/usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Which Perl:   /usr/bin/perl
Which Python: /usr/bin/python
Which Ruby:   /Users/steve/.rvm/rubies/ruby-1.9.3-p125/bin/ruby

So: thanks for your help.

But after all that, the build still fails: https://gist.github.com/2254314

Contributor

purcell commented Mar 30, 2012

It's turned out to be necessary to explicitly run that installer step, so yes, a hint from brew would have been worthwhile. Now I've got a better compiler:

% brew --config
HOMEBREW_VERSION: 0.9
HEAD: c7d9a09a96d06e05aa77ff69882573e4e6dfebe7
HOMEBREW_PREFIX: /usr/local
HOMEBREW_CELLAR: /usr/local/Cellar
CPU: dual-core 64-bit penryn
OS X: 10.7.3
Kernel Architecture: x86_64
Xcode: 4.3.2
GCC-4.0: N/A
GCC-4.2: build 5666
LLVM: build 2336
Clang: 3.1 build 318
MacPorts or Fink? false
X11: /usr/X11
System Ruby: 1.8.7-249
/usr/bin/ruby => /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
Which Perl:   /usr/bin/perl
Which Python: /usr/bin/python
Which Ruby:   /Users/steve/.rvm/rubies/ruby-1.9.3-p125/bin/ruby

So: thanks for your help.

But after all that, the build still fails: https://gist.github.com/2254314

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Mar 30, 2012

Contributor

Alright, now this looks like the software is not able to compile against the newer libpng 1.5 that Lion provides.

Contributor

adamv commented Mar 30, 2012

Alright, now this looks like the software is not able to compile against the newer libpng 1.5 that Lion provides.

@purcell

This comment has been minimized.

Show comment
Hide comment
@purcell

purcell Apr 1, 2012

Contributor

I filed an issue upstream: schani/metapixel#1

Contributor

purcell commented Apr 1, 2012

I filed an issue upstream: schani/metapixel#1

@adamv

This comment has been minimized.

Show comment
Hide comment
@adamv

adamv Apr 12, 2012

Contributor

Closing in favor of #11383

Contributor

adamv commented Apr 12, 2012

Closing in favor of #11383

@adamv adamv closed this Apr 12, 2012

@Homebrew Homebrew locked and limited conversation to collaborators Feb 16, 2016

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.